Subject: bug#43318: Unable to open remote pdf directly with eww

From: Stefan Kangas <[email-masked]>
Date: Fri, 2 Oct 2020 14:31:52 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> In my case I'm using evince, because at some point I put this in my
>> "~/.mailcap":
>>
>>     application/pdf; evince %s
>>
>> And I guess evince doesn't read from stdin, as you say...
>
> I've now fixed this on the trunk to start the external viewer the
> traditional way.  It starts it synchronously, though, which isn't ideal,
> but having the deletion triggered from a process filter, for instance,
> will leave the temporary file there upon crashes...

I've now tested it and I can confirm that your fix works here.